Exceptions prédéfinies
Exception::__construct
Exceptions prédéfinies
PHP Manual

# Exception

## Introduction

Exception est la classe de base pour toutes les exceptions.

## Synopsis de la classe

Exception
Exception {
/* Propriétés */
protected string $message ;
private string $string ;
protected int $code ;
protected string $file ;
protected int $line ;
private array $trace ;
/* Méthodes */
public __construct ([ string `$message`= "" [, int `$code`= 0 [, Exception `$previous`= NULL ]]] )
final public string getMessage ( void )
final public Exception getPrevious ( void )
final public int getCode ( void )
final public string getFile ( void )
final public int getLine ( void )
final public array getTrace ( void )
final public string getTraceAsString ( void )
public string __toString ( void )
final private void __clone ( void )
}

## Propriétés

message

  Le message de l'exception

string

  Nom interne de l'exception

code

  Le code de l'exception

file

  Le nom du fichier dans lequel l'exception a été lancée

line

  La ligne où l'exception a été lancée

trace

  La trace dans la pile

## Sommaire

- Exception::__construct — Construit l'exception
- Exception::getMessage — Récupère le message de l'exception
- Exception::getPrevious — Retourne l'exception précédente
- Exception::getCode — Récupère le code de l'exception
- Exception::getFile — Récupère le fichier dans lequel l'exception est survenue
- Exception::getLine — Récupère la ligne dans laquelle l'exception est survenue
- Exception::getTrace — Récupère la trace de la pile
- Exception::getTraceAsString — Récupère la trace de la pile en tant que chaîne
- Exception::__toString — Représente l'exception sous la forme d'une chaîne
- Exception::__clone — Clone l'exception

Exceptions prédéfinies
Exception::__construct
Exceptions prédéfinies
PHP Manual